DayZ Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000028DayZ Standalone[All Projects] Game settingspublic2013-12-12 00:162014-06-20 18:58
ReporterFluxley 
Assigned To 
PrioritynoneSeveritynoneReproducibilityalways
StatusresolvedResolutionwon't fix 
PlatformPCOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
165 vote(s) 98,21%
3 vote(s) 1,79%
Summary0000028: players not rendering at distance
DescriptionPlayers are not rendering at distance if Objects is set to Very Low, at around 3-400m players vanish
TagsNo tags attached.
Game Version113553
Attached Files

- Relationships
has duplicate 0008810closed Huge gamebreaking visual bug. 
related to 0003835new Players at Long Ranges only showing Gun and Helmet 

-  Notes
(0004300)
gibonez (reporter)
2013-12-20 15:02

This is true for the other settings. Raising the object details to normal = players rendering at a like 500m.
(0005718)
cofi0276 (reporter)
2013-12-22 18:54

Around 300m you only see players heads and around 350m they completely vanish. With object detail on very low.
(0006782)
Bass (reporter)
2013-12-25 02:14

Pretty big and noticeable issue, can't believe there aren't more votes.
(0006787)
AmirBK (reporter)
2013-12-25 02:32

With the new network bubble the maximum drawing distance for players and zombies is 600m, kind of low by mod standards.
(0006788)
im_orange (reporter)
2013-12-25 02:35

600m? Can you provide a source? That sounds ridiculous.
(0006791)
Blaerah (reporter)
2013-12-25 02:47

Max 600m is complete bullshit. You can look from the commieblocks closest to balota and see guys at the airfield barracks.
(0006793)
AmirBK (reporter)
2013-12-25 02:53

The only source right now is the screenshots released by lame-o ESP cheaters that show that the client only receives information on objects within a 600m radius.

I never saw a player or a zombie from considerable distance in this game.
(0007055)
daz0rz (reporter)
2013-12-26 04:15

It's a big issue and a massive step backwards if it's not fixed.
(0007056)
xivition (reporter)
2013-12-26 04:20

How to solve: Don't play your game on a 200€ computer.
(0007061)
Synchrotron (reporter)
2013-12-26 05:12

@xivition

That's irrelevant. The information displayed on your screen should be the same and the difference is the quality of what you will see. Players should fully render even on very low settings.
(0007062)
daz0rz (reporter)
2013-12-26 05:16

@xivition

I have a GTX 670 i7 @4.2Ghz running on an SSD and 8GB's of ram. This is at 2560 x 1600 resolution.

It's got nothing to do with specs. Its an engine issue.
(0007106)
cinnabuns (reporter)
2013-12-26 11:04

@Synchrotron

That's possibly and issue as well. Low settings, less everything but players are rendered when no foilage or other things they're possibly hiding behind are rendered?

Many multiplayer players run their settings on the lowest possible settings for 2 reasons, more FPS, and less stuff is rendered for player cover, fog, trees, bushes, etc.

Something else needs to be done to resolve this and that may be why it is the way it is. If you have a decent rig you shouldn't be running Very Low just to get 500fps and have less foliage/fog/etc. rendered.
(0008115)
Dogmeat (reporter)
2013-12-30 13:00

Saw a player enter NEAF jail last night from track running SE to blunt rocks. 7-800m away, I reckon.
(0008196)
daz0rz (reporter)
2013-12-30 14:25

@Dogmeat Could you see the full player model? Was it sinking into the ground at 700m? Anything we have tested over 500m has been a line of pixels on the screen, about one or two max vertically.

So you're saying this is a non issue for you?
(0008216)
Dogmeat (reporter)
2013-12-30 16:19
edited on: 2014-01-14 20:27

As the player stepped into the building I could make out the colour of his clothing but not what Weapon he was holding. Apart from insufficient magnification from my scope I didn't notice any visual glitches.

The 'sinking into the ground' thing may be an arma feature, particularly on grass at long distances where, the engine simulates vegetation concealment even when no veg is being rendered.

Edit: my object detail is high or max...

(0041253)
ItsMe360Nation (reporter)
2014-01-14 01:51

Make players be visible from at least 500M.
(0043043)
ItsMe360Nation (reporter)
2014-01-26 07:26

^
(0043122)
donlod (reporter)
2014-01-26 19:27
edited on: 2014-02-15 02:59

My problem with this is that i need to turn object detail to low, if not i will get really bad fps in cities. with this setting at low or medium i was not able to see any player clearly at NEAF from the hill NE of the airfield (distance is about 430m from there, i also zoomed in with right mouse button). They nearly get invisible, you just see their head or weapons; cant tell exactly. if i set it to very high then everything was fine.

Edit: zombies are not affected by this

(0043135)
DayZBug (reporter)
2014-01-26 22:19

At like 300 meters I only see floating hands and the head. When they get closer they render normally. Zombies are visible clearly from like 600 meters or more. Gonna' set the object detail to high when leaving towns.
(0043244)
huidube (reporter)
2014-01-27 18:34
edited on: 2014-01-27 18:35

i just shot a zombie from over 670 meters, while i was testing my damaged long range scope.
object detail setting at normal.
cant tell you about other players. if there are any on this distance, i dont see em. i dont have a partner to test this.
but in a youtube vid i saw some player-kills on around 1000 meter.
(http://www.youtube.com/watch?v=MfOteS6OQxc [^])

would be interesting, on which distance you can see other players through your LRS and without LRS, and if it depends on object detail settings.

(0043248)
TomJefferson (reporter)
2014-01-27 19:22

Why do you folks even refer to object detail? Refer to the config file settings. I never make any adjustments within the game because it messes with my config file settings.

I imagine that setting terrainGrid to 3.125 in your profile should let you see players out further and also kill your FPS.
(0045924)
Cranker (reporter)
2014-02-14 22:48
edited on: 2014-02-14 22:51

Make players visable at any distance until they are less than one pixel like in the mod.

(0045995)
DrGonzo (reporter)
2014-02-15 13:22

Make sure your object quality is set to high or very high. This is actually good for multiple reasons. The higher you set it the more it offloads from CPU to GPU which, if you understand the arma engine, is always a good thing to do when you can because it is so CPU intensive.
(0046022)
Junos (reporter)
2014-02-15 17:21

> The higher you set it the more it offloads from CPU to GPU

DrGonzo, do you have a source for this claim?
(0046028)
R834 (moderator)
2014-02-15 18:07
edited on: 2014-02-15 18:08

@Junos
http://forums.bistudio.com/showthread.php?118053-Answered-Shadows-and-AA-problems!!!!!!&p=1909167&viewfull=1#post1909167 [^]

Talking specifically about shadows there

(0048088)
lucianpin (reporter)
2014-03-03 11:46
edited on: 2014-03-03 11:47

I confirm this too. But I am surprised that this issue is not "acknowledged" yet.

Can any developer confirm that this is a defect and would be fixed some day?

Many of us want to play this game with Object Detail Very Low because we get 5 or more fps. I see that Object Detail translates to Scene Complexity in the configuration file. This is an important game setting, but cannot be used to improve performance due to this bug.

Very High is 1000000 (I am able to see players far enough)
High is 750000 (I am able to see players far enough)
Normal is 500000 (Acceptable, but cannot see player too far, or see one half)
Low
Very Low is 200000 (Cannot see player at more than 300 meters)

(0050541)
Cranker (reporter)
2014-03-31 10:36
edited on: 2014-03-31 10:39

The suggestion from DrGonzo is just not true. Objects almost only affects CPU load. If you don't believe it go to a bigger town set you grafics to low so the GPU is not limiting and try the different settings. The higher the setting the lower the fps even when your GPU's workload is below 50% (see MSI afterburner etc.)

I can't understand why it's not "acknowledged" as it's really gamebreaking. Most important feature of the mod was to have this huge visual range of players.
Zombies ARE rendered until they are smaller than one pixel as it should be for players as well!

I don't want to play with 20 and less fps so I can't see the players instead :/
Even an i5@4,7GHz drops below 20fps! at very high. Can't imagine how to play on a lesser CPU

(0050675)
donlod (reporter)
2014-04-02 14:06

cranker you are right, i tested this months ago and gpu load went from 60% at low setting to 49% at high setting in city.

sadly for me there is no other setting to improve my performance in cities because most of the other just seem to affect performance if there are trees, gras and stuff. and as i already said im not able to see any player from distances far than 400m at medium settings.
(0050900)
lucianpin (reporter)
2014-04-07 13:46

And for those who say that Objects detail Low is a cheat because you can spot the player easier, I just tested something: Objects Details High, but Texture filtering Very Low (Anisotropic 2x). Try it and you will see that even using High objects detail, you can still "cheat" using another setting texture filtering to easily spot enemy at distance.

So, my conclusion: We should be able to set our detail level in order to make the game playable. Cheating is another problem and I agree that something must be done in this direction, but this should not cancel other settings that make the game playable on low end PCs and/or video cards.

Player render distance should be fixed.
Grass must be drawn even on low object/terrain details, but with fewer polygons.
(0053287)
NIKSU (reporter)
2014-05-10 23:21

Confirmed
(0054172)
dhall (Bohemia Interactive - developer)
2014-05-22 14:37

This is as designed. Players who play the game on lower detail will have lower view distances than those with higher detail.

We will review the settings for ALL graphics once the new renderer is done, so the situation may change then.

- Issue History
Date Modified Username Field Change
2013-12-12 00:16 Fluxley New Issue
2013-12-20 15:02 gibonez Note Added: 0004300
2013-12-22 18:54 cofi0276 Note Added: 0005718
2013-12-25 02:14 Bass Note Added: 0006782
2013-12-25 02:32 AmirBK Note Added: 0006787
2013-12-25 02:35 im_orange Note Added: 0006788
2013-12-25 02:47 Blaerah Note Added: 0006791
2013-12-25 02:53 AmirBK Note Added: 0006793
2013-12-26 04:15 daz0rz Note Added: 0007055
2013-12-26 04:20 xivition Note Added: 0007056
2013-12-26 05:12 Synchrotron Note Added: 0007061
2013-12-26 05:16 daz0rz Note Added: 0007062
2013-12-26 11:04 cinnabuns Note Added: 0007106
2013-12-30 13:00 Dogmeat Note Added: 0008115
2013-12-30 14:25 daz0rz Note Added: 0008196
2013-12-30 16:19 Dogmeat Note Added: 0008216
2013-12-30 16:20 Dogmeat Note Edited: 0008216 View Revisions
2014-01-03 15:49 guest Note Added: 0009371
2014-01-04 20:17 guest Note Added: 0009848
2014-01-09 22:05 guest Note View State: 0009371: private
2014-01-09 22:06 guest Note View State: 0009371: public
2014-01-10 21:30 guest Note Deleted: 0009848
2014-01-11 04:28 guest Note Added: 0020671
2014-01-11 04:37 guest Note Added: 0020839
2014-01-11 06:13 guest Note Added: 0022386
2014-01-11 14:47 guest Note Deleted: 0020671
2014-01-11 14:47 guest Note Deleted: 0020839
2014-01-11 14:47 guest Note Deleted: 0022386
2014-01-13 03:07 guest Note Added: 0039476
2014-01-14 01:51 ItsMe360Nation Note Added: 0041253
2014-01-14 20:27 Dogmeat Note Edited: 0008216 View Revisions
2014-01-26 07:26 ItsMe360Nation Note Added: 0043043
2014-01-26 19:27 donlod Note Added: 0043122
2014-01-26 19:34 donlod Note Edited: 0043122 View Revisions
2014-01-26 21:38 donlod Note Edited: 0043122 View Revisions
2014-01-26 22:19 DayZBug Note Added: 0043135
2014-01-27 18:34 huidube Note Added: 0043244
2014-01-27 18:35 huidube Note Edited: 0043244 View Revisions
2014-01-27 19:22 TomJefferson Note Added: 0043248
2014-02-14 22:48 Cranker Note Added: 0045924
2014-02-14 22:51 Cranker Note Edited: 0045924 View Revisions
2014-02-15 02:51 donlod Note Edited: 0043122 View Revisions
2014-02-15 02:56 donlod Note Edited: 0043122 View Revisions
2014-02-15 02:59 donlod Note Edited: 0043122 View Revisions
2014-02-15 13:22 DrGonzo Note Added: 0045995
2014-02-15 17:21 Junos Note Added: 0046022
2014-02-15 18:07 R834 Note Added: 0046028
2014-02-15 18:08 R834 Note Edited: 0046028 View Revisions
2014-02-17 15:53 Kira Relationship added has duplicate 0008810
2014-03-03 11:46 lucianpin Note Added: 0048088
2014-03-03 11:47 lucianpin Note Edited: 0048088 View Revisions
2014-03-11 19:31 Here is Johnny Relationship added related to 0003835
2014-03-31 10:36 Cranker Note Added: 0050541
2014-03-31 10:39 Cranker Note Edited: 0050541 View Revisions
2014-04-02 14:06 donlod Note Added: 0050675
2014-04-07 13:46 lucianpin Note Added: 0050900
2014-05-10 23:21 NIKSU Note Added: 0053287
2014-05-11 08:32 Solnyshkin Note Added: 0053298
2014-05-11 16:03 Solnyshkin Note Deleted: 0053298
2014-05-22 14:37 dhall Note Added: 0054172
2014-05-22 14:37 dhall Status new => resolved
2014-05-22 14:37 dhall Resolution open => won't fix


Copyright © 2000 - 2014 MantisBT Team